Page MenuHomePhabricator

Extension:Math REL1_28 error Math extension can not find Restbase URL. Please specify $wgMathFullRestbaseURL.
Closed, ResolvedPublic

Description

At Special:MathStatus, I got:

[WSZVKbrKmaQAAHeO29QAAAAk] /w/Especial:MathStatus MWException from line 213 of /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php: Math extension can not find Restbase URL. Please specify $wgMathFullRestbaseURL.

Backtrace:

#0 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(352): MathRestbaseInterface->getUrl(string)
#1 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(110): MathRestbaseInterface->getCheckRequest()
#2 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(103): MathRestbaseInterface->checkTeX()
#3 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(395): MathRestbaseInterface->calculateHash()
#4 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(95): MathRestbaseInterface->getContentRequest(string)
#5 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(224): MathRestbaseInterface->getContent(string)
#6 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRenderer.php(657): MathRestbaseInterface->getSvg()
#7 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(357): MathRenderer->getSvg()
#8 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(398): MathMathML->correctSvgStyle(NULL)
#9 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(466): MathMathML->getFallbackImage()
#10 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(70): MathMathML->getHtmlOutput()
#11 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(52): SpecialMathStatus->testSpecialCaseText()
#12 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(42): SpecialMathStatus->runMathMLTest(string)
#13 /home/storage/c/9c/81/juris3/public_html/includes/specialpage/SpecialPage.php(522): SpecialMathStatus->execute(NULL)
#14 /home/storage/c/9c/81/juris3/public_html/includes/specialpage/SpecialPageFactory.php(577): SpecialPage->run(NULL)
#15 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
#16 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(851): MediaWiki->performRequest()
#17 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(512): MediaWiki->main()
#18 /home/storage/c/9c/81/juris3/public_html/index.php(43): MediaWiki->run()
#19 {main}

Please guys, I dont know how to solve it. Any ideas?

Event Timeline

EAFM created this task.May 25 2017, 4:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 25 2017, 4:02 AM
EAFM added a project: Math.May 25 2017, 4:04 AM
Aklapper changed the task status from Open to Stalled.May 25 2017, 9:16 AM

@EAFM: Please see the error message that you posted and tell us what your value for $wgMathFullRestbaseURL is.

EAFM added a comment.May 25 2017, 4:01 PM

@EAFM: Please see the error message that you posted and tell us what your value for $wgMathFullRestbaseURL is.

When I use Mathoid:

// Set MathML as default rendering option
$wgDefaultUserOptions['math'] = 'mathml';
$wgMathFullRestbaseURL= 'https://api.formulasearchengine.com/';

It breaks:

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

And:

[WSb-bbrKmaQAAATHQRsAAAAX] /w/Especial:MathStatus MWException from line 104 of /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php: TeX input is invalid.

Backtrace:

#0 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(395): MathRestbaseInterface->calculateHash()
#1 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(95): MathRestbaseInterface->getContentRequest(string)
#2 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRestbaseInterface.php(224): MathRestbaseInterface->getContent(string)
#3 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathRenderer.php(657): MathRestbaseInterface->getSvg()
#4 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(357): MathRenderer->getSvg()
#5 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(398): MathMathML->correctSvgStyle(NULL)
#6 /home/storage/c/9c/81/juris3/public_html/extensions/Math/MathMathML.php(466): MathMathML->getFallbackImage()
#7 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(70): MathMathML->getHtmlOutput()
#8 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(52): SpecialMathStatus->testSpecialCaseText()
#9 /home/storage/c/9c/81/juris3/public_html/extensions/Math/SpecialMathStatus.php(42): SpecialMathStatus->runMathMLTest(string)
#10 /home/storage/c/9c/81/juris3/public_html/includes/specialpage/SpecialPage.php(522): SpecialMathStatus->execute(NULL)
#11 /home/storage/c/9c/81/juris3/public_html/includes/specialpage/SpecialPageFactory.php(577): SpecialPage->run(NULL)
#12 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
#13 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(851): MediaWiki->performRequest()
#14 /home/storage/c/9c/81/juris3/public_html/includes/MediaWiki.php(512): MediaWiki->main()
#15 /home/storage/c/9c/81/juris3/public_html/index.php(43): MediaWiki->run()
#16 {main}

Thank you very much for your attention.

Is this maybe similar to T154394? (which is linked from the documentation page)

@Aklapper I cannot tell for sure, but, following the @Physikerwelt steps:

Replace formulasearchengine.com with https://en.wikipedia.org/api/rest_

It breaks in different way:

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 416

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 417

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 259

Warning: curl_multi_setopt() expects parameter 2 to be long, string given in /home/storage/c/9c/81/juris3/public_html/includes/libs/MultiHttpClient.php on line 260

Fatal error: Class 'Symfony\Component\Process\ProcessBuilder' not found in /home/storage/c/9c/81/juris3/public_html/extensions/SyntaxHighlight_GeSHi/SyntaxHighlight_GeSHi.class.php on line 283
Physikerwelt added a comment.EditedMay 26 2017, 12:25 PM

there was a problem with the ssl cert of the server. I think it's fixed now.
I checked some pages on my wiki (which uses the api.formulasearchengine.com service and it renderes fine.)
https://api.formulasearchengine.com/v1/media/math/render/svg/36fd173f3aa9cd2548061b2f8320116932f338bc

Sorry for the inconvinience. Please let me know, if it works for you with the new ssl cert.

Physikerwelt changed the task status from Stalled to Open.May 26 2017, 12:27 PM
Physikerwelt claimed this task.
Physikerwelt closed this task as Resolved.Jun 11 2017, 12:46 PM

closing: No activity. Feel free to reopen.